Bug 1277375 - (nette/tester) Review Request: php-nette-tester - An easy-to-use PHP unit testing framework
Review Request: php-nette-tester - An easy-to-use PHP unit testing framework
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: nette/neon nette/utils nette/tokenizer nette/finder nette/php-generator nette/component-model nette/di tracy/tracy latte/latte nette/caching nette/reflection nette/http nette/security nette/mail nette/robot-loader 1277441 nette/forms 1277470 nette/database nette/bootstrap nette/deprecated nette/nette kdyby/events
  Show dependency treegraph
 
Reported: 2015-11-03 03:11 EST by Remi Collet
Modified: 2015-11-27 01:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-08 11:20:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+


Attachments (Terms of Use)
phpcompatinfo-full.log (28.44 KB, text/plain)
2015-11-03 12:23 EST, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (25.13 KB, text/plain)
2015-11-03 12:23 EST, Shawn Iwinski
no flags Details
fedora-review.txt (6.58 KB, text/plain)
2015-11-03 12:24 EST, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2015-11-03 03:11:31 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/b606f2984d15d3357b3454a43b515ab326c66464/php/nette/php-nette-tester/php-nette-tester.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-nette-tester-1.6.1-1.remi.src.rpm
Description: 
Nette Tester is a productive and enjoyable unit testing framework.
It's used by the Nette Framework and is capable of testing any PHP code.

Fedora Account System Username: remi
Comment 1 Shawn Iwinski 2015-11-03 12:23 EST
Created attachment 1089153 [details]
phpcompatinfo-full.log

phpCompatInfo version 4.5.1 DB built Oct 11 2015 19:58:20 CEST
Comment 2 Shawn Iwinski 2015-11-03 12:23 EST
Created attachment 1089154 [details]
phpcompatinfo-lib.log

phpCompatInfo version 4.5.1 DB built Oct 11 2015 19:58:20 CEST
Comment 3 Shawn Iwinski 2015-11-03 12:24 EST
Created attachment 1089155 [details]
fedora-review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1277375
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Shawn Iwinski 2015-11-03 12:25:29 EST
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import



No blockers.

===== APPROVED =====
Comment 5 Remi Collet 2015-11-04 01:30:39 EST
Thanks !
SCM request open on pkgdb.
Comment 6 Gwyn Ciesla 2015-11-04 19:56:39 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/php-nette-tester
Comment 7 Fedora Update System 2015-11-05 03:27:48 EST
php-nette-tester-1.6.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c8ccf9955d
Comment 8 Fedora Update System 2015-11-05 03:27:55 EST
php-nette-tester-1.6.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-4068975659
Comment 9 Fedora Update System 2015-11-05 03:27:55 EST
php-nette-tester-1.6.1-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-0bdfcb4827
Comment 10 Remi Collet 2015-11-05 03:31:34 EST
Closing to unlock blocked review.
Built and available in all buildroot.
Comment 11 Fedora Update System 2015-11-05 19:51:11 EST
php-nette-tester-1.6.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-nette-tester'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c8ccf9955d
Comment 12 Fedora Update System 2015-11-05 21:35:26 EST
php-nette-tester-1.6.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-nette-tester'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-b374df2780
Comment 13 Fedora Update System 2015-11-06 22:19:54 EST
php-nette-tester-1.6.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update php-nette-tester'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-0bdfcb4827
Comment 14 Fedora Update System 2015-11-06 22:20:39 EST
php-nette-tester-1.6.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update php-nette-tester'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-4068975659
Comment 15 Fedora Update System 2015-11-16 18:24:20 EST
php-nette-tester-1.6.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2015-11-17 06:58:49 EST
php-nette-tester-1.6.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2015-11-27 00:25:17 EST
php-nette-tester-1.6.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2015-11-27 01:51:33 EST
php-nette-tester-1.6.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.